hpp-corbaserver: _objref_SteeringMethod Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_SteeringMethod Class Reference

`#include <hpp/core_idl/steering_methods-idl.hh>`

Inheritance diagram for _objref_SteeringMethod:
[legend]
Collaboration diagram for _objref_SteeringMethod:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
Path_ptr | call (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2)
void | setConstraints (::hpp::core_idl::ConstraintSet_ptr constraints)
Constraint_ptr | getConstraints ()
| _objref_SteeringMethod ()
| _objref_SteeringMethod (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_SteeringMethod ()

## Friends
class | SteeringMethod

## Constructor & Destructor Documentation

## ◆ _objref_SteeringMethod() [1/2]

_objref_SteeringMethod::_objref_SteeringMethod | ( |  | ) |
| inline

## ◆ _objref_SteeringMethod() [2/2]

_objref_SteeringMethod::_objref_SteeringMethod | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_SteeringMethod()

virtual _objref_SteeringMethod::~_objref_SteeringMethod | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ call()

Path_ptr _objref_SteeringMethod::call | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::floatSeq & | q2
| ) |  |

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_SteeringMethod::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_SteeringMethod::deleteThis | ( |  | ) |

## ◆ getConstraints()

Constraint_ptr _objref_SteeringMethod::getConstraints | ( |  | ) |

## ◆ persistantStorage()

void _objref_SteeringMethod::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ setConstraints()

void _objref_SteeringMethod::setConstraints | ( | ::hpp::core_idl::ConstraintSet_ptr | constraints | ) |

## Friends And Related Symbol Documentation

## ◆ SteeringMethod

friend class SteeringMethod
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/steering_methods-idl.hh